Package ru.bitel.bgbilling.plugins.shop.common.bean

# Class ShopDirectoryItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.shop.common.bean.ShopDirectoryItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ShopDirectoryItem extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShopDirectoryItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getFilterList()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `List<Integer>`
  `getItemTypeIds()`
  `int`
  `getParentId()`
  `boolean`
  `isAllowSubDirectory()`
  `void`
  `setAllowSubDirectory(boolean allowSubDirectory)`
  `void`
  `setFilterList(List<String> filterList)`
  `void`
  `setItemTypeIds(List<Integer> itemTypeIds)`
  `void`
  `setParentId(int parentId)`
  `static ShopProductTreeItem`
  `toShopProductTreeItem(ShopDirectoryItem shopDirectoryItem)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ShopDirectoryItem

    public ShopDirectoryItem()

- ## Method Details

  - ### getParentId

    public int getParentId()

  - ### getItemTypeIds

    public List<Integer> getItemTypeIds()

  - ### getFilterList

    public List<String> getFilterList()

  - ### isAllowSubDirectory

    public boolean isAllowSubDirectory()

  - ### setParentId

    public void setParentId(int parentId)

  - ### setItemTypeIds

    public void setItemTypeIds(List<Integer> itemTypeIds)

  - ### setFilterList

    public void setFilterList(List<String> filterList)

  - ### setAllowSubDirectory

    public void setAllowSubDirectory(boolean allowSubDirectory)

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Overrides:
      `getGuiTitle` in class `IdTitle`
    Returns:
      Строка - представление объекта.

  - ### toShopProductTreeItem

    public static ShopProductTreeItem toShopProductTreeItem(ShopDirectoryItem shopDirectoryItem)